CVE-2008-4683

NameCVE-2008-4683
DescriptionThe dissect_btacl function in packet-bthci_acl.c in the Bluetooth ACL dissector in Wireshark 0.99.2 through 1.0.3 allows remote attackers to cause a denial of service (application crash or abort) via a packet with an invalid length, related to an erroneous tvb_memcpy call.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1673-1
NVD severitymedium (attack range: remote)
Debian Bugs503589

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
wireshark (PTS)jessie1.12.1+g01b65bf-4+deb8u14fixed
jessie (security)1.12.1+g01b65bf-4+deb8u15fixed
stretch (security), stretch2.2.6+g32dac6a-2+deb9u3fixed
buster, sid2.6.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
wiresharksource(unstable)1.0.4-1low503589
wiresharksourceetch0.99.4-5.etch.3mediumDSA-1673-1
wiresharksourcelenny1.0.2-3+lenny2medium

Search for package or bug name: Reporting problems